summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2019-05-14 09:52:54 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2019-05-14 10:46:34 +0200
commitdbadfce5e87c4c72a574f16f74da6869bc8bd913 (patch)
tree74397022d54ee3b66ecd07265ef27752c4355f92 /kde-frameworks/kfilemetadata
parentnet-misc/cni-plugins: Version bump to 0.8.0 (diff)
downloadgentoo-dbadfce5e87c4c72a574f16f74da6869bc8bd913.tar.gz
gentoo-dbadfce5e87c4c72a574f16f74da6869bc8bd913.tar.bz2
gentoo-dbadfce5e87c4c72a574f16f74da6869bc8bd913.zip
kde-frameworks: Add KDE Frameworks 5.58.0
Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11
Diffstat (limited to 'kde-frameworks/kfilemetadata')
-rw-r--r--kde-frameworks/kfilemetadata/Manifest1
-rw-r--r--kde-frameworks/kfilemetadata/kfilemetadata-5.58.0.ebuild66
2 files changed, 67 insertions, 0 deletions
diff --git a/kde-frameworks/kfilemetadata/Manifest b/kde-frameworks/kfilemetadata/Manifest
index 3aef02ad1d4..d94a2903d84 100644
--- a/kde-frameworks/kfilemetadata/Manifest
+++ b/kde-frameworks/kfilemetadata/Manifest
@@ -1,2 +1,3 @@
DIST kfilemetadata-5.54.0.tar.xz 302204 BLAKE2B ecf9a4fac9fcf18fc5344fd29eb2e28bebc1e65762c9f62b1e07abf67e2a55bd677b16a02fafa2308a63757f0adcc35e4dac47244a05df067026c0da11553c40 SHA512 bfa8287e5c8df363908a441419d377d33ea2cd93a4fc69fc47c69da80ad0e3a80e60f26b4856c3d3e04128e6ac59b214ee0613e37dda29f2537f502789bd4801
DIST kfilemetadata-5.57.0.tar.xz 410556 BLAKE2B 988f822829c294f2c1dd6f88d8a395f8cb07709a46b79754cf782bc426faa89688cc78159fb0172499be53f1c4526df722166297dfc687388a36290c31732c3c SHA512 a513a9e850758647e098177eeea793a2672644de531293b37d57ee216fd3048c124dbea99c5b469ce110fc538169fe72fcfd1b72a1296360d1f111d14bcf2b8e
+DIST kfilemetadata-5.58.0.tar.xz 410740 BLAKE2B 9479591b73c030f6b074e4d1b6fa6752dc171e83a81a6ff9f39e4452960e6f4201e901a510c2a2b1f71f68da6ad5ef3e33ac667e761017b93d98f7795b247d40 SHA512 1a8967b10882910645254fec74a0b61fa9a7458a5cfeb105d3161deda07591871b505c4b415f2ae8612235a3fc611084da5ea534224405bdb19b0cd04a674c11
diff --git a/kde-frameworks/kfilemetadata/kfilemetadata-5.58.0.ebuild b/kde-frameworks/kfilemetadata/kfilemetadata-5.58.0.ebuild
new file mode 100644
index 00000000000..542d913a78d
--- /dev/null
+++ b/kde-frameworks/kfilemetadata/kfilemetadata-5.58.0.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_{5,6,7}} )
+inherit kde5 python-any-r1
+
+DESCRIPTION="Library for extracting file metadata"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="epub exif ffmpeg kernel_linux libav office pdf taglib"
+
+BDEPEND="
+ test? ( ${PYTHON_DEPS} )
+"
+RDEPEND="
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep ki18n)
+ $(add_qt_dep qtxml)
+ epub? ( app-text/ebook-tools )
+ exif? ( media-gfx/exiv2:= )
+ ffmpeg? (
+ libav? ( >=media-video/libav-12.2:= )
+ !libav? ( media-video/ffmpeg:0= )
+ )
+ office? ( $(add_frameworks_dep karchive) )
+ pdf? ( app-text/poppler[qt5] )
+ taglib? ( media-libs/taglib )
+"
+DEPEND="${RDEPEND}
+ kernel_linux? ( sys-apps/attr )
+"
+
+pkg_setup() {
+ use test && python-any-r1_pkg_setup
+ kde5_pkg_setup
+}
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_find_package epub EPub)
+ $(cmake-utils_use_find_package exif LibExiv2)
+ $(cmake-utils_use_find_package ffmpeg FFmpeg)
+ $(cmake-utils_use_find_package office KF5Archive)
+ $(cmake-utils_use_find_package pdf Poppler)
+ $(cmake-utils_use_find_package taglib Taglib)
+ )
+
+ kde5_src_configure
+}
+
+src_test() {
+ # FIXME: bug 644650, fails on tmpfs (but not for everyone)
+ local myctestargs=( -E "(usermetadatawritertest)" )
+ kde5_src_test
+}
+
+pkg_postinst() {
+ kde5_pkg_postinst
+
+ if ! has_version app-text/catdoc || ! has_version dev-libs/libxls; then
+ elog "To get additional features, optional runtime dependencies may be installed:"
+ elog "app-text/catdoc - indexing of Microsoft Word or Powerpoint files"
+ elog "dev-libs/libxls - indexing of Microsoft Excel files"
+ fi
+}